Ticket #25647

projects\svnauthz でアクセスできないように設定しているリポジトリが Trac から参照できてしまう

Open Date: 2011-07-06 14:23 Last Update: 2011-07-28 19:48

Reporter:
Owner:
Type:
Status:
Closed
MileStone:
Priority:
5 - Medium
Severity:
7
Resolution:
Fixed
File:
None

Details

Trac 0.11.x ベースのころは svnauthz の内容にしたがってアクセス制御していたはずなので Trac 0.12.x ベースに上げたときから壊れたのだと思われる。

diff -r 0a06ab7674b7 install/replace/trac.ini.all
--- a/install/replace/trac.ini.all      Mon Jun 20 08:22:45 2011 +0900
+++ b/install/replace/trac.ini.all      Wed Jul 06 14:18:43 2011 +0900
@@ -83,7 +83,7 @@
 mainnav = wiki,timeline,roadmap,browser,tickets,newticket,search
 metanav = login,logout,settings,help,about
 permission_store = DefaultPermissionStore
-permission_policies = PrivateWikiSystem, DefaultPermissionPolicy, LegacyAttachmentPolicy
+permission_policies = PrivateWikiSystem, AuthzSourcePolicy, DefaultPermissionPolicy, LegacyAttachmentPolicy
 repository_type = svn
 request_filters = PageQueryModule
 repository_dir = %%TL_PROJECT_HOME%%/svn/all

Ticket History (3/5 Histories)

2011-07-06 14:23 Updated by: jun66j5
  • New Ticket "projects\svnauthz でアクセスできないように設定しているリポジトリが Trac から参照できてしまう" created
2011-07-06 23:05 Updated by: okamototk
Comment

ご報告ありがとうございます。

パッチ形式で報告されているということは、私の方で修正をコミットした方がいいですかね?

2011-07-07 00:06 Updated by: jun66j5
Comment

えーと、どちらでも。 面倒でなければコミットしていただいても、こちらでコミットするのでも。

これをやっているのは、他のメンバーに対して内容確認と周知の意味でやってます。 それと Kanon も同じ問題がありますので。

2011-07-07 07:03 Updated by: okamototk
  • Owner Update from (None) to okamototk
  • Resolution Update from None to Fixed
Comment

TracLightning/Kanon共に修正しました。TracLightningは、188:874efdaea253で修正しています。

2011-07-28 19:48 Updated by: kanu
  • Ticket Close date is changed to 2011-07-28 19:48
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login